% Set up matrices during first run of lr_main    

str_tmp = 'hfrac_vec'; load([matdir str_tmp '_' int2str(q)]);    
n_clevels = size(clevel_vec,1);
n_horizons = size(hfrac_vec,1);
clear hfrac_vec;
%------------- read in List of bcd values, gdist (prior), and lfds 
  % --- bcd values and prior  
   str_theta = [matdir 'thetas'];
   load(str_theta);
   gdist = thetas(1,:)';        % Prior and Weighing Function Used in LFD
   theta = thetas(2:4,:)';      % "h" c, d values 
   % Convert h (third component of theta) into b
    b_um = sqrt(theta(:,3).*((theta(:,2).^2+ (8*pi)^2).^(-theta(:,1))));
    bcd_mat = [b_um theta(:,[2 1])];  % Ulrich's b c and d    % BCD values 
    n_bcd = size(bcd_mat,1);
   % --- LFDs for different levels 
    lfd_mat = NaN*zeros(n_bcd,n_horizons,n_clevels);
    cvalue_mat = NaN*zeros(n_horizons,n_clevels);
    for ic = 1:n_clevels;
      tmpc = 100*clevel_vec(ic);
      str_int_name = ['lfd_mat_' int2str(tmpc)];
      load([matdir str_int_name '_' int2str(q)]);
      eval(['tmp = ' str_int_name ';']);
      lfd_mat(:,:,ic) = tmp;
      str_int_name = ['cvalue_' int2str(tmpc)];
      load([matdir str_int_name '_' int2str(q)]);
      eval(['tmp = ' str_int_name ';']);
      cvalue_mat(:,ic) = tmp;
    end;
    str_tmp = [mat_save_dir 'cvalue_mat_' int2str(q)];
    save(str_tmp,'cvalue_mat');
   %{
% --- Find bcd values that have non-zero weight in prior or LFD
    tmp = gdist;
    for ic = 1:n_clevels;
      tmp = [tmp lfd_mat(:,:,ic)];
    end;
    ii_tmp = sum((tmp > 1.0e-10),2);
    ii_bcd_use = ii_tmp > 0;
    theta = theta(ii_bcd_use == 1,:);
    bcd_mat = bcd_mat(ii_bcd_use == 1,:);
    gdist = gdist(ii_bcd_use == 1);
    lfd_mat = lfd_mat(ii_bcd_use == 1,:,:);
%}
   % --- Save these values for future use
    str_tmp = [mat_save_dir 'bcd_mat_' int2str(q)];
    save(str_tmp,'bcd_mat');
    clear bcd_mat;
    str_tmp = [mat_save_dir 'gdist_' int2str(q)];
    save(str_tmp,'gdist');
    clear gdist;
    str_tmp = [mat_save_dir 'lfd_mat_' int2str(q)];
    save(str_tmp,'lfd_mat');   
    clear lfd_mat;
  % --- Read in Ulrich's Sigma Matrices and save in format for future use
    largest_q = 48;                 % Largest value of q considered -- DO NOT CHANGE -- Format of UM's Covariance Matrices depend on this  
    sig_um_all = NaN*zeros(q+n_horizons,q+n_horizons,n_bcd);
    for i = 1:n_bcd;
      j = i-1;
      str_sigma = ['Sig48_' int2str(j)];
      load([matdir str_sigma]);
      eval(['tmp =' str_sigma ';']); 
      eval(['clear ' str_sigma ';']); 
      sig = NaN*zeros(q+n_horizons);
      sig(1:q,1:q) = tmp(1:q,1:q);
      sig(q+1:q+n_horizons,1:q) = tmp(largest_q+1:largest_q+n_horizons,1:q);
      sig(q+1:q+n_horizons,q+1:q+n_horizons) = tmp(largest_q+1:largest_q+n_horizons,largest_q+1:largest_q+n_horizons);
      sig(1:q,q+1:q+n_horizons) = tmp(1:q,largest_q+1:largest_q+n_horizons);
      sig_um_save(:,:,i) = sig;
    end; 
    % sig_um_save = sig_um_save(:,:,ii_bcd_use == 1);  
    str_tmp = [mat_save_dir 'sig_um_save_' int2str(q)];
     save(str_tmp,'sig_um_save'); 
       clear sig_um_save;
     % -- Save scalar zero for matlab sigma 
       sig_matlab_save = 0;
       str_tmp = [mat_save_dir 'sig_matlab_save_' int2str(q)];
       save(str_tmp,'sig_matlab_save');
       clear sigma_matlab_save;