% Set up data and calendars for annual data in VIC project
% 8/14/2013, mww

% ----------- Features of Data Set ---------
ns = 4;
xlsname = 'c:\usr\vic\ddisk_matlab\data\vic_annual.xlsx';

% ----------- Sample Period, Calendars and so forth
% Years
nfy=1900;  
nly=2011;  
% Calendar Vector
nper = 1;
[dnobs,calvec,calds] = calendar_make(nfy,nly,1,1,nper);

% --------------- Read In Data ---------------- 
% Read Data 
ndesc=1;
ncodes=0;
sheet='Annual';
[namevec,descmat,tcodemat,datevec,datamat] = readxls(xlsname,sheet,ns,dnobs,ndesc,ncodes);
labelvec=descmat(:,1);
% Convert Namestrings to upper case 
namevec = upper(namevec);
% Eliminate any leading or trailing blanks 
namevec=strtrim(namevec);

str='POP';    % Population 
str=upper(str);
j = colnumber(str,namevec);
popu = datamat(:,j);

str='GDP';    % GDP 
str=upper(str);
j = colnumber(str,namevec);
gdp = datamat(:,j);

str='CONS';    % consumption 
str=upper(str);
j = colnumber(str,namevec);
consump = datamat(:,j);

str='CPI';    % cpi 
str=upper(str);
j = colnumber(str,namevec);
p_cpi = datamat(:,j);

% Quarterly Growth Rates and so forth 
d_gdp = 100*dif(log(gdp),1);
d_cons = 100*dif(log(consump),1);
d_pop = 100*dif(log(popu),1);
d_pcpi = 100*dif(log(p_cpi),1);
d_gdp_pop = d_gdp-d_pop;
d_cons_pop = d_cons-d_pop;

